<p-dataTable [value]="prospectOrganization" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idProspect" expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
    <p-header>
        <div class="row"></div>
    </p-header>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{'mpmApp.prospectOrganization.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.prospectOrganization.companyName'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.name  ]"> -->
            {{rowData.organization.name}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>

    <p-column header="{{'mpmApp.prospectOrganization.address.address'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.postalAddress.address1  ]"> -->
            {{rowData.organization.postalAddress.address1}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.prospectOrganization.address.village'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.postalAddress.vilage  ]"> -->
            {{rowData.organization.postalAddress.village}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.prospectOrganization.address.district'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.postalAddress.district ]"> -->
            {{rowData.organization.postalAddress.district}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.prospectOrganization.address.city'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.postalAddress.city  ]"> -->
            {{rowData.organization.postalAddress.city}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.prospectOrganization.email'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <div *ngIf="rowData.idProspect"> -->
            <!-- <a [routerLink]="['../organization', rowData.organization.officeMail.address  ]"> -->
            {{rowData.organization.officeMail}}
            <!-- </a> -->
            <!-- </div> -->
        </ng-template>
    </p-column>

    <p-column header="{{'mpmApp.prospectOrganization.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <button pButton type="submit" [routerLink]="['../prospect-organization/', rowData.idProspect]" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}">
            </button> -->
            <button pButton type="submit" [routerLink]="['../prospect-organization/'+ rowData.idProspect + '/link-detail']" icon="fa fa-share" class="flat-button" [style]="{'height':'50px'}" pTooltip="Follow Up Prospect">
            </button>
            <!-- <button pButton type="submit" [routerLink]="['../prospect-organization/'+ rowData.idProspect + '/step']" icon="fa fa-share" class="flat-button" [style]="{'height':'50px'}" pTooltip="Follow Up Prospect">
            </button> -->
            <button pButton type="submit" [routerLink]="['../prospect-organization/'+ rowData.idProspect + '/edit']" icon="fa-pencil" class="flat-button" pTooltip="Edit Prospect">
            </button>
            <button pButton type="submit" (click)="delete(rowData.idProspect)" icon="fa-remove" class="flat-button" pTooltip="Delete Prospect">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>


<!-- <p-dataList 
[value]="prospectOrganization" 
[paginator]="true" 
[rows]="5"
[paginator]="true"
[pageLinks]="5"
[rowsPerPageOptions]="[10,15,20]"
[totalRecords]="totalItems"
[responsive]="true"
[lazy]="true"
dataKey="idProspect"
expandableRows="false"
(onLazyLoad)="loadDataLazy($event)"
>
<p-header>
    <jhi-alert></jhi-alert>
    <div>
        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="{{ 'mpmApp.prospectPerson.home.search' | translate }}">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </div>
</p-header>
<ng-template let-rowData pTemplate="item">
    <div class="ui-g ui-fluid border-item">
        <div class="ui-g-6 ui-md-6">
            <div class="ui-g">
                <div class="ui-g-12 ui-sm-12">
                    <div *ngIf="(rowData.person.firstName == null && rowData.person.lastName == null);then noname else namehere"></div>
                    <ng-template #noname><i>No Name</i></ng-template>
                    <ng-template #namehere>{{rowData.person.firstName}} {{rowData.person.lastName}}</ng-template>                                    
                </div>
                
                <div class="ui-g-12 ui-sm-12">
                    <div *ngIf="(rowData.person.postalAddress.address1 == null);then noaddress else addresshere"></div>
                    <ng-template #noaddress><i>No Address</i></ng-template>
                    <ng-template #addresshere>{{rowData.person.postalAddress.address1}}</ng-template>
                </div>
                
                <div class="ui-g-12 ui-sm-12">
                    <div *ngIf="(rowData.person.postalAddress.city == null);then nocity else cityhere"></div>
                    <ng-template #nocity><i>No City</i></ng-template>
                    <ng-template #cityhere>{{rowData.person.postalAddress.city}}</ng-template>
                </div>
            </div>
        </div>
        <div class="ui-g-6 ui-md-6" style="text-align:right">
            <div class="ui-g">
                <div class="ui-g-12 ui-sm-12"> 
                    <div *ngIf="(rowData.person.cellPhone1.number == null);then nophone else phonehere"></div>
                    <ng-template #nophone><i>No Phone</i></ng-template>
                    <ng-template #phonehere>{{rowData.person.cellPhone1.number}}</ng-template>
                </div>
                <div class="ui-g-12 ui-sm-12"></div>
                <div class="ui-g-12 ui-sm-12">
                    <button pButton type="submit"
                            [routerLink]="['../prospect-person/'+ rowData.idProspect + '/step']"
                            icon="fa fa-share"
                            class="flat-button"
                            [style]="{'height':'50px'}"
                            pTooltip="Follow Up Prospect">
                    </button>
                    <button pButton type="submit"
                            [routerLink]="['../prospect-person/'+ rowData.idProspect + '/edit']"
                            icon="fa-pencil"
                            class="flat-button"
                            pTooltip="Detail">
                    </button>
                </div>
            </div>
        </div>
    </div>
</ng-template>
</p-dataList> -->